import { ListenerRss } from "listener-rss/src";

export class YoutubeListenerRss extends ListenerRss {
  constructor(idChaine: string, timeloop?: number) {
    super({
      name: "",
      timeloop: timeloop,
      address: "https://www.youtube.com/feeds/videos.xml?channel_id=".concat(
        idChaine
      ),
      customfields: {
        description: ["media:group", "media:description"],
        icon: ["media:group", "media:thumbnail"],
      },
    });
  }
}
